summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2016-09-23 05:34:35 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-09-23 05:34:35 +0700
commitc42786440315857927fb24e88add9b682b856e78 (patch)
tree8a16ebd07e3fefaa2cf5e4567fa42358aba2bc33 /development
parent46bf7a2fc34007e55bdc8c67e2b7b5d0593b6ead (diff)
downloadslackbuilds-c42786440315857927fb24e88add9b682b856e78.tar.gz
slackbuilds-c42786440315857927fb24e88add9b682b856e78.tar.xz
development/libretro-samples: Added (libretro API samples).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/libretro-samples/README12
-rw-r--r--development/libretro-samples/libretro-samples.SlackBuild151
-rw-r--r--development/libretro-samples/libretro-samples.info10
-rw-r--r--development/libretro-samples/slack-desc19
4 files changed, 192 insertions, 0 deletions
diff --git a/development/libretro-samples/README b/development/libretro-samples/README
new file mode 100644
index 0000000000..dfdcd42ee6
--- /dev/null
+++ b/development/libretro-samples/README
@@ -0,0 +1,12 @@
+A set of samples to illustrate the libretro API.
+
+The Vulkan sample cores can be optionally installed. This will require both a
+video card and driver that support Vulkan, but Slackware does not yet provide
+any Vulkan support, so providing the correct build environment is up to you.
+To build with Vulkan use:
+ VULKAN=1 ./libretro-samples.SlackBuild
+
+To build the debugging symbols use:
+ DEBUG=1 ./libretro-samples.SlackBuild
+
+fpc is an optional dependency for the pascal_pong_libretro core.
diff --git a/development/libretro-samples/libretro-samples.SlackBuild b/development/libretro-samples/libretro-samples.SlackBuild
new file mode 100644
index 0000000000..5a8b2c8aa6
--- /dev/null
+++ b/development/libretro-samples/libretro-samples.SlackBuild
@@ -0,0 +1,151 @@
+#!/bin/sh
+
+# Slackware build script for libretro-samples
+
+# Copyright 2016 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libretro-samples
+VERSION=${VERSION:-2016.09.22_f06a8d1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# requires patching the Makefile to properly use
+# the default CFLAGS and CXXFLAGS are probably fine
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DEBUG=${DEBUG:-0}
+VULKAN=${VULKAN:-0}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if [ -x /usr/bin/fpc ]; then
+ PASCAL_PONG="demos/game/pascal_pong"
+else
+ PASCAL_PONG=""
+fi
+
+if [ "$VULKAN" = "1" ]; then
+ VULKAN="graphics/vulkan/vk_async_compute graphics/vulkan/vk_rendering"
+else
+ VULKAN=""
+fi
+
+SAMPLES="audio/audio_callback \
+ audio/audio_no_callback \
+ demos/game/cruzes \
+ graphics/opengl/libretro_test_gl_compute_shaders \
+ graphics/opengl/libretro_test_gl_fixedfunction \
+ graphics/opengl/libretro_test_gl_shaders \
+ graphics/software/rendering \
+ graphics/software/rendering_direct_to_vram \
+ input/button_test \
+ $PASCAL_PONG \
+ tests/test \
+ tests/test_advanced \
+ $VULKAN"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+for core in $SAMPLES; do
+ base=$(basename $core)
+
+ case $base in
+ audio_callback) LIBNAM=test${base}_libretro ;;
+ audio_no_callback) LIBNAM=test${base}_libretro ;;
+ button_test) LIBNAM=${base}_libretro ;;
+ cruzes) LIBNAM=${base}_libretro ;;
+ libretro_test_gl_compute_shaders) LIBNAM=testgl_compute_shaders_libretro ;;
+ libretro_test_gl_fixedfunction) LIBNAM=testgl_ff_libretro ;;
+ libretro_test_gl_shaders) LIBNAM=testgl_libretro ;;
+ pascal_pong) LIBNAM=${base}_libretro ;;
+ rendering) LIBNAM=testsw_libretro ;;
+ rendering_direct_to_vram) LIBNAM=testsw_vram_libretro ;;
+ test) LIBNAM=${base}_libretro ;;
+ test_advanced) LIBNAM=advanced_tests_libretro ;;
+ vk_async_compute) LIBNAM=testvulkan_async_compute_libretro ;;
+ vk_rendering) LIBNAM=testvulkan_libretro ;;
+ *) echo "$base not found" && exit 1 ;;
+ esac
+
+ if [ "$core" = "$PASCAL_PONG" ]; then
+ fpc -o$core/$LIBNAM.so $core/pong.pas
+ cp -a $core/LICENSE $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE-$base
+ else
+ make -C $core DEBUG=$DEBUG
+ fi
+
+ install -Dm0644 $core/$LIBNAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
+ install -Dm0644 $LIBNAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info
+ cp -a $core/README.md $PKG/usr/doc/$PRGNAM-$VERSION/README_$LIBNAM
+done
+
+if [ "${DEBUG:-0}" = "0" ]; then
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+fi
+
+cp -a demos/game/cruzes/LICENSE $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE-cruzes
+cp -a license demos/game/cruzes/LICENSE-Carlito $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/libretro-samples/libretro-samples.info b/development/libretro-samples/libretro-samples.info
new file mode 100644
index 0000000000..ea5bf75ad2
--- /dev/null
+++ b/development/libretro-samples/libretro-samples.info
@@ -0,0 +1,10 @@
+PRGNAM="libretro-samples"
+VERSION="2016.09.22_f06a8d1"
+HOMEPAGE="http://www.libretro.com/"
+DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/libretro-samples-2016.09.22_f06a8d1.tar.xz"
+MD5SUM="1a72523c891db7e75e88f6d89842fb8a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="RetroArch"
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"
diff --git a/development/libretro-samples/slack-desc b/development/libretro-samples/slack-desc
new file mode 100644
index 0000000000..66f9f70a17
--- /dev/null
+++ b/development/libretro-samples/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libretro-samples: libretro-samples (libretro API samples)
+libretro-samples:
+libretro-samples: A set of samples to illustrate the libretro API.
+libretro-samples:
+libretro-samples: Homepage: http://www.libretro.com/
+libretro-samples:
+libretro-samples:
+libretro-samples:
+libretro-samples:
+libretro-samples:
+libretro-samples: